Page MenuHomePhabricator

Run checkComposerLockUpToDate.php after creating a new WMF deployment branch
Closed, ResolvedPublic

Description

We should run the checkComposerLockUpToDate.php script after creating a new WMF deployment branch to ensure the dependencies required by MediaWiki core are all present in the branched version of mediawiki/vendor.

With T90303 it will be technically possible for the two repositories to get out of sync so we should have a last, final check before deploying.

This could be done by sending the initial branch creation commit to gerrit and having jenkins run tests against it, but that could be slow. The deployer could also run the script locally, but it requires MW to be set up. Assigning to twentyafterfour to figure out which one he prefers. We also discussed this in IRC (logs: http://bots.wmflabs.org/~wm-bot/logs/%23wikimedia-releng/20150605.txt).

Event Timeline

Legoktm created this task.Jun 5 2015, 8:03 PM
Legoktm assigned this task to mmodell.
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2015, 8:04 PM
Legoktm removed a subscriber: Legoktm.Jun 5 2015, 8:06 PM
Legoktm added a subscriber: Legoktm.

Chat log:

[19:46:50] <twentyafterfour>	 legoktm: I'm not entirely apposed to it if it's important then so be it if it takes me longer to do
[19:47:30] <twentyafterfour>	 legoktm: but honestly I really want to eliminate the weekly branching entirely and have long lived release branches. The new model will be to merge into the release branch instead of creating a new one each week
[19:48:13] <legoktm>	 twentyafterfour: really all we need is that the checkComposerLockUpToDate.php script is run after branch creation, which jenkins does. You could run it manually after branch creation? but the script requires MW to be installed...
[19:48:35] <twentyafterfour>	 legoktm: hmm that might work
[19:49:04] <twentyafterfour>	 does it require mediawiki to be functional or just needs to be on disk?
[19:49:15] <twentyafterfour>	 I could do it in vagrant maybe?
[19:49:16] <legoktm>	 for the record there are other unit tests that should be run, like the one that checks that $wgVersion is set to a sane value
[19:49:33] <legoktm>	 it needs to be reasonably functional
[19:49:36] <legoktm>	 you could run it in vagrant yeah
[19:50:22] <twentyafterfour>	 if we get to having long lived branches all this becomes moot. then we could rely on CI a lot more and spend a lot less time creating submodules over and over each week
[19:50:49] <legoktm>	 sure
[19:50:53] <hashar>	 <+thcipriani>	 !log set use_dnsmasq: false on Hiera:Integration    # definitely some madness :-}
[19:51:22] <thcipriani>	 hashar: already broke deployment-prep this week, more ready for this one :)
[19:51:23] <legoktm>	 but I want to land my composer jenkins change sooner rather than later, and I think changing the entire wmf deployment process will fall under later ;-)
mmodell triaged this task as High priority.Jun 8 2015, 5:58 PM
mmodell moved this task from To Triage to In-progress on the Deployments board.

Change 217043 had a related patch set uploaded (by 20after4):
Submitting branch for review so that it gets tested by jenkins. refs T101551

https://gerrit.wikimedia.org/r/217043

Change 217043 merged by jenkins-bot:
Submitting branch for review so that it gets tested by jenkins. refs T101551

https://gerrit.wikimedia.org/r/217043

mmodell closed this task as Resolved.Jun 10 2015, 3:28 AM
greg moved this task from INBOX to Done on the Release-Engineering-Team board.Sep 8 2015, 8:44 PM